<?php

namespace RxConnexionBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;
use RxConnexionBundle\Entity\Base\BaseEntity;
use Symfony\Component\Form\Extension\Core\DataTransformer\DateTimeToStringTransformer;

/**
 * @ORM\Entity(repositoryClass="RxConnexionBundle\Repository\PatientChartPaymentOtherProcedureRepository")
 * @ORM\Table(name="patient_chart_payment_other_procedure")
 */

class PatientChartPaymentOtherProcedureEntity extends BaseEntity
{
    /**
     * @ORM\Column(name="is_deleted", type="boolean")
     */
    protected $isDeleted;

    /**
     * @ORM\ManyToOne(targetEntity="PatientChartPaymentEntity", inversedBy="otherProcedures")
     * @ORM\JoinColumn(name="patient_chart_payment_id", referencedColumnName="id")
     */
    protected $patientChartPayment;

    /**
     * @ORM\ManyToOne(targetEntity="PatientChartOtherProcedureEntity", inversedBy="patientChartPaymentOtherProcedures")
     * @ORM\JoinColumn(name="patient_chart_other_procedure_id", referencedColumnName="id")
     */
    protected $patientChartOtherProcedure;

    /**
     * Set createdAt
     *
     * @ORM\PrePersist
     */
    public function setCreatedAtValue()
    {
        parent::setCreatedAtValue();
        $this->isDeleted = 0;
    }

    /*--------------------------------------------------------------------------------------------------------*/
    /*					Use Defined Setters and Getters														  */
    /*--------------------------------------------------------------------------------------------------------*/

    /*--------------------------------------------------------------------------------------------------------*/
    /*					Setters and Getters																	  */
    /*--------------------------------------------------------------------------------------------------------*/


    /**
     * Set patientChartPayment
     *
     * @param \RxConnexionBundle\Entity\PatientChartPaymentEntity $patientChartPayment
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setPatientChartPayment(\RxConnexionBundle\Entity\PatientChartPaymentEntity $patientChartPayment = null)
    {
        $this->patientChartPayment = $patientChartPayment;

        return $this;
    }

    /**
     * Get patientChartPayment
     *
     * @return \RxConnexionBundle\Entity\PatientChartPaymentEntity
     */
    public function getPatientChartPayment()
    {
        return $this->patientChartPayment;
    }

    /**
     * Set patientChartOtherProcedure
     *
     * @param \RxConnexionBundle\Entity\PatientChartOtherProcedureEntity $patientChartOtherProcedure
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setPatientChartOtherProcedure(\RxConnexionBundle\Entity\PatientChartOtherProcedureEntity $patientChartOtherProcedure = null)
    {
        $this->patientChartOtherProcedure = $patientChartOtherProcedure;

        return $this;
    }

    /**
     * Get patientChartOtherProcedure
     *
     * @return \RxConnexionBundle\Entity\PatientChartOtherProcedureEntity
     */
    public function getPatientChartOtherProcedure()
    {
        return $this->patientChartOtherProcedure;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set createdBy
     *
     * @param string $createdBy
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setCreatedBy($createdBy)
    {
        $this->createdBy = $createdBy;

        return $this;
    }

    /**
     * Get createdBy
     *
     * @return string
     */
    public function getCreatedBy()
    {
        return $this->createdBy;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedBy
     *
     * @param string $updatedBy
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setUpdatedBy($updatedBy)
    {
        $this->updatedBy = $updatedBy;

        return $this;
    }

    /**
     * Get updatedBy
     *
     * @return string
     */
    public function getUpdatedBy()
    {
        return $this->updatedBy;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * Set isDeleted
     *
     * @param boolean $isDeleted
     *
     * @return PatientChartPaymentOtherProcedureEntity
     */
    public function setIsDeleted($isDeleted)
    {
        $this->isDeleted = $isDeleted;

        return $this;
    }

    /**
     * Get isDeleted
     *
     * @return boolean
     */
    public function getIsDeleted()
    {
        return $this->isDeleted;
    }
}
